grid.segments {grid} | R Documentation

## Draw Line Segments in a Grid Viewport

### Description

This function draws line segments.

### Usage

    grid.segments(x0 = unit(0, "npc"), y0 = unit(0, "npc"),
                  x1 = unit(1, "npc"), y1 = unit(1, "npc"),
                  default.units = "npc", units.per.obs = FALSE,
                  gp = gpar(), draw = TRUE, vp = NULL)

### Arguments

`x0` | Numeric indicating the starting x-values of the line segments.
`y0` | Numeric indicating the starting y-values of the line segments.
`x1` | Numeric indicating the stopping x-values of the line segments.
`y1` | Numeric indicating the stopping y-values of the line segments.
`gp` | An object of class `gpar`.
`default.units` | A string.
`units.per.obs` | A boolean indicating whether distinct units are given for each x/y-value.
`draw` | A logical value indicating whether graphics output should be produced.
`vp` | A Grid viewport object (or NULL)

### Value

An object of class `"grob"`.

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`

[Package Contents]